org.gradle.jvm

## Interface JvmLibrarySpec

- All Superinterfaces:
    ComponentSpec, JvmComponentSpec, LibrarySpec, Named, PlatformAwareComponentSpec

      @Incubating
      public interface JvmLibrarySpec
      extends LibrarySpec, JvmComponentSpec, PlatformAwareComponentSpec

  Definition of a JVM library component that is to be built by Gradle.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.platform.base.PlatformAwareComponentSpec

      `targetPlatform`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `binaries, getBinaries, getDisplayName, getProjectPath, getSource, getSources, sources`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`